Bug 69078 - DiskDruid cannot create large VFAT partition
Summary: DiskDruid cannot create large VFAT partition
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
: 103572 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-07-17 18:47 UTC by Need Real Name
Modified: 2007-04-18 16:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 18:35:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-07-17 18:47:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1a) Gecko/20020612

Description of problem:
Unable to create a partition of type vfat larger than 2048MB

How reproducible:
Always

Steps to Reproduce:
1.Double-click on 3GB of Free Space in Disk Druid
2.Select vfat as the partition type

Actual Results:  DiskDruid returns an error that vfat partitions must be no
larger than 2048MB.

Expected Results:  Creation of a FAT32 partition of the expected size, or
failing that the creation of a 3GB partition containing a FAT16 filesystem of
2048MB.

Comment 1 Bill 2003-01-23 06:18:17 UTC
Experienced same problem when trying to partition a brand new 120G Maxtor.
8.0.93 (Phoebe)
Workaround was to use 7.3 fdisk.

Comment 2 Bill 2003-01-23 06:23:13 UTC
Duplicated above problem with phoebe 8.0.93.
Worked around problem by using 7.3 fdisk.
Disk was a brand new Maxtor 120G.

Comment 3 Jeremy Katz 2003-06-25 00:15:37 UTC
New mkdosfs (>= 2.8-8) can auto-detect the need for FAT32 and so the anaconda
restriction has been lifted.

Comment 4 Jeremy Katz 2003-09-02 15:45:21 UTC
*** Bug 103572 has been marked as a duplicate of this bug. ***

Comment 5 Jeremy Katz 2006-04-24 18:35:48 UTC
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.


Note You need to log in before you can comment on or make changes to this bug.